stages:
  - build
  - test
  - dast_custom
  - dast_api_custom

.analyzer_run:
  script:
    - apk add jq bash coreutils
    - /analyzer run
    - bash .gitlab/scripts/$NAME_OF_CI_SCRIPT.sh

include:
  - local: '/.gitlab/templates/secret_detection.gitlab-ci.yml'
  - local: '/.gitlab/templates/sast.gitlab-ci.yml'
  - local: '/.gitlab/templates/sast-semgrep.gitlab-ci.yml'
  #- local: '/.gitlab/templates/sast_kubesec.gitlab-ci.yml'
  - local: '/.gitlab/templates/dependency_scanning.gitlab-ci.yml'
  - local: '/.gitlab/templates/sast_iac.gitlab-ci.yml'
  - local: '/.gitlab/templates/container_scanning.gitlab-ci.yml'
  - local: '/.gitlab/templates/dast.gitlab-ci.yml'
  - local: '/.gitlab/templates/dast_api.gitlab-ci.yml'
